<?php
if ( ! defined( 'ABSPATH' ) ) exit;

class IEBASE_HCB_Activation {

	private function __construct() {}

	/**
	 * Function for the plugin activated.
	 */
	public static function plugin_activate() {

		if ( get_option( IEBASE_HCB::DB_NAME[ 'installed' ] ) === false ) {

			update_option( IEBASE_HCB::DB_NAME[ 'installed' ], 1 );

			//First time/reinstall -> default setting
			$settings = IEBASE_HCB::DEFAULT_SETTINGS;

		} else {

			//If data remains -> existing settings
			$settings = get_option( IEBASE_HCB::DB_NAME[ 'settings' ] );
		}

		update_option( IEBASE_HCB::DB_NAME[ 'settings' ], $settings );
	}

	/**
	 * Function for the plugin uninstalled.
	 */
	public static function plugin_uninstall() {
		foreach ( IEBASE_HCB::DB_NAME as $db_name ) {
			delete_option( $db_name );
		}
	}
}
