<?php
/**
 * Plugin Name: Iebase Code Block
 * Plugin URI: https://ietheme.com/portfolio/ietheme-code-block/
 * Description: Add code block with syntax highlighting using prism.js. (Available for Gutenberg and Classic Editor)
 * Version: 1.1.0
 * Author: 99839
 * Author URI: https://ietheme.com/
 * License: GPL2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: iebase-hcb
 */
if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! function_exists( 'register_block_type' ) ) return;

/**
 * Defined HCB const.
 */
define( 'IEBASE_HCB_VERSION', ( defined( 'WP_DEBUG' ) && WP_DEBUG ) ? date('mdGis') : '1.1.0');
define( 'IEBASE_HCB_PATH', plugin_dir_path( __FILE__ ) );
define( 'IEBASE_HCB_BASENAME', plugin_basename( __FILE__ ) );
define( 'IEBASE_HCB_URL', plugins_url( '/', __FILE__ ) );

/**
 * Autoload Class files.
 */
spl_autoload_register( function( $classname ) {

	if ( false === strpos( $classname, 'IEBASE_HCB' ) ) return;
	$file = IEBASE_HCB_PATH .'class/'. mb_strtolower( $classname ) .'.php';
	if ( file_exists( $file ) ) require $file;
});

/**
 * Activation hooks.
 */
register_activation_hook( __FILE__, ['IEBASE_HCB_Activation', 'plugin_activate'] );
register_uninstall_hook( __FILE__, ['IEBASE_HCB_Activation', 'plugin_uninstall'] );

/**
 * Start
 */
add_action( 'plugins_loaded', function() {
	// Translation
	$locale = apply_filters( 'plugin_locale', determine_locale(), 'iebase-hcb' );
	load_textdomain( 'iebase-hcb', IEBASE_HCB_PATH . 'languages/iebase-hcb-' . $locale . '.mo' );

	// Execution
	new IEBASE_HCB();
});
